%Solve springs and masses initial value problem IVP
%This is the main driver.
% makeproblem.m  defines the problem by: M,C,K F0,\omega_f, x0, v0
% Feb 26, 2021


clear all
%Define problelem
p = makeproblem;     % make a  problem or random problem
n = length(p.x0);    % problem might have different size than n

tend   = 20; npoints= 2001;
tarray = linspace(0,tend,npoints);

z0 = [p.x0;p.v0];

eqn = @(t,z)   myrhs(t,z,p);
[tarray zarray] = ode2(eqn,tarray,z0);

figure(1)
plot(tarray, zarray(:,1:n)); 
   title('z vs t for all masses on one plot')
   grid on
   legend ('z1','z2','z3', ...
           'z4','z5','z6','z7') % ignores extra legend entries
shg



figure(2)
title('Each mass plotted separately')
for i = 1:n
    
    subplot(n,1,i)
    plot(tarray,zarray(:,i))
    xlabel('t');  ylabel(['z(' num2str(i) ')'])
    if i==1
        title('Each mass plotted separately')
    end 
    grid on

end

